Description

It would be nice if Redmine could operate on all the values in a group/column of an issues report in order to, for example;

Show the total estimated time

Show the total/average progress/level of effort/priority

It would be nice if this was done for groups (if the report is grouped by) and for all the groups (or the total if there is no grouping for

the report).

The attached screenshot shows an example of this.  It was created using the attached javascript in a JS console like Firebug.

Related issues:

Related to Redmine - Feature #1561: Totals for estimated/spent time and numer... Closed 2008-07-02

Related to Redmine - Patch #2268: Patch to show Total Estimated Time at the b... Closed 2008-12-03

Related to Redmine - Patch #4776: Totals for Estimated Time Closed 2010-02-09

Related to Redmine - Feature #6571: Totalise numeric columns Closed 2010-10-05

History

#1 - 2011-09-08 19:46 - Ruedi Silvestri

+1 it would even be very valueable if such calculation could also be enabled for custom fields.

#2 - 2011-09-08 22:56 - Terence Mill

+1

#3 - 2011-10-14 09:58 - fake plastic tree

+1 this would make reporting much more powerfull.

#4 - 2011-10-14 11:43 - Tony Marschall

There is a plugin providing this feature: https://github.com/planio/redmine_spent_time_column

#5 - 2011-10-18 21:16 - Mischa The Evil

Tony Marschall wrote:

There is a plugin providing this feature: https://github.com/planio/redmine_spent_time_column

 Thanks for pointing this out, Tony. It looks like a useful plugin which will fullfill a lot of requirements looking at the issues at redmine.org (see below).

I've did a quick compatibility-test on source:/trunk@7623 and everything seems to work as expected (what I already expected to be honest :).

Regarding this issue: it is actually a duplicate of already multiple issues filed here at redmine.org. I know some out of my mind (euh, without looking it

up). For now I'll just add these as issue-relations. I'll see if I can find more "relatives" and if they can be combined into one (or more) generic issues in

time... Here we go:

#1374

#1561

#2268

#4776

#6571

Btw: A quick comparison of the available patches in all these issues against the solution implemented in the above mentioned plugin gives me the
"feeling" that the best way to implement such a feature in a (current) stock Redmine is to use this plugin instead of patching the Redmine core

yourself.

#6 - 2011-11-23 16:51 - Lionel VEILLEPEAU

It will be better in the trunk, the redmine_spent_time_column plugin doesn't work with the redmine_xls_export plugin.

#7 - 2015-12-27 05:37 - Toshi MARUYAMA

- Status changed from New to Closed

I think this issue is fixed by #1561.

If you have more request, please create new issue.
